{
  "cSpell.words": [
    "коммитами",
    "парся",
    "Alexeyalexeyalexm",
    "answerdate",
    "apivars",
    "autoflush",
    "billsec",
    "calldate",
    "callid",
    "calllog",
    "calltype",
    "dateutil",
    "deydysh",
    "dtmf",
    "etype",
    "exten",
    "extnum",
    "forcelist",
    "ondelete",
    "recog",
    "relativedelta",
    "rsps",
    "sessionmaker",
    "setuptools",
    "speechkit",
    "subcls",
    "talktime",
    "timecondition",
    "transfered",
    "uselist",
    "vpbx",
    "waittime"
  ],
  "commit-message-editor.staticTemplate": [
    "feat: Short description",
    "",
    "Message body",
    "",
    "Message footer"
  ],
  "commit-message-editor.dynamicTemplate": [
    "{type}{scope}: {description}",
    "",
    "{body}",
    "",
    "{breaking_change}{footer}"
  ],
  "commit-message-editor.tokens": [
    {
      "label": "Type",
      "name": "type",
      "type": "enum",
      "description": "Тип изменений.",
      "options": [
        {
          "label": "---",
          "value": ""
        },
        {
          "label": "fix🛠️",
          "value": "fix🛠️",
          "description": "Исправление бага, ошибки, некорректного поведения"
        },
        {
          "label": "feat✨",
          "value": "feat✨",
          "description": "Добавление новой функциональности"
        },
        {
          "label": "refactor🔧",
          "value": "refactor🔧",
          "description": "Улучшение структуры кода без изменения логики"
        },
        {
          "label": "docs📄",
          "value": "docs📄",
          "description": "Изменение или добавление документации"
        },
        {
          "label": "remove🗑️",
          "value": "remove🗑️",
          "description": "Удаление небольших частей кода, отдельных файлов, зависимостей, ненужных конфигураций"
        },
        {
          "label": "chore📦",
          "value": "chore📦",
          "description": "Обновление зависимостей, конфигурационных файлов"
        },
        {
          "label": "hotfix🚑",
          "value": "hotfix🚑",
          "description": "Критическое исправление, требующее немедленного деплоя"
        },
        {
          "label": "WIP🏗️",
          "value": "WIP🏗️",
          "description": "Временный коммит, показывающий прогресс"
        },
        {
          "label": "remove🔥",
          "value": "remove🔥",
          "description": "Удаление большого объёма кода, глобальная чистка, удаление устаревшего или неиспользуемого кода, удаление временных решений (костылей)"
        },
        {
          "label": "test🔍",
          "value": "test🔍",
          "description": "Обновление существующих тестов, рефакторинг, отладка"
        },
        {
          "label": "perf 🚀",
          "value": "perf 🚀",
          "description": "Улучшение производительности"
        },
        {
          "label": "test✅",
          "value": "test✅",
          "description": "Написание новых тестов или исправление старых"
        },
        {
          "label": "deps⏳",
          "value": "deps⏳",
          "description": "Обновление или замена зависимостей"
        },
        {
          "label": "wip🚧",
          "value": "wip🚧",
          "description": "Незавершённая работа, черновые изменения"
        },
        {
          "label": "security🛑",
          "value": "security🛑",
          "description": "Исправление уязвимостей и проблем безопасности"
        },
        {
          "label": "style🎨",
          "value": "style🎨",
          "description": "Изменения, не влияющие на код (отступы, форматирование)"
        },
        {
          "label": "mock🎭",
          "value": "mock🎭",
          "description": "Добавление или обновление мок-данных для тестирования"
        },
        {
          "label": "idea💡",
          "value": "idea💡",
          "description": "Идеи и улучшения, предлагаемые в коде"
        },
        {
          "label": "revert🔄",
          "value": "revert🔄",
          "description": "Откат коммита или изменений"
        },
        {
          "label": "goal🎯",
          "value": "goal🎯",
          "description": "Достижение поставленной цели в коде (ГОООООООООООООООООЛ)"
        },
        {
          "label": "ci⚙️",
          "value": "ci⚙️",
          "description": "Изменения в конфигурации CI/CD (GitHub Actions, GitLab CI, Jenkins и т. д.)"
        },
        {
          "label": "ci🚦",
          "value": "ci🚦",
          "description": "Исправление или настройка тестов в CI/CD пайплайне"
        },
        {
          "label": "build 🏭",
          "value": "build 🏭",
          "description": "Обновления, влияющие на процесс сборки проекта"
        },
        {
          "label": "release📜",
          "value": "release📜",
          "description": "Подготовка или выпуск новой версии"
        },
        {
          "label": "deploy 🚀",
          "value": "deploy 🚀",
          "description": "Связанное с деплоем изменений в продакшен или staging"
        },
        {
          "label": "workflow🔄",
          "value": "workflow🔄",
          "description": "Изменения в workflow автоматизации"
        },
        {
          "label": "security🔐",
          "value": "security🔐",
          "description": "Улучшение безопасности пайплайна или контейнеров"
        }
      ]
    },
    {
      "label": "Scope",
      "name": "scope",
      "type": "text",
      "description": "Область изменений (scope) может быть указана в типе коммита для дополнительного контекста и заключается в круглые скобки, например:\n\"feat(parser): добавлена возможность парсинга массивов\"",
      "prefix": "(",
      "suffix": ")"
    },
    {
      "label": "Short description",
      "name": "description",
      "type": "text",
      "description": "Краткое описание в заголовке коммита."
    },
    {
      "label": "Body",
      "name": "body",
      "type": "text",
      "description": "Необязательное описание (body).",
      "maxLines": 10,
      "multiline": true,
      "lines": 5
    },
    {
      "label": "Breaking change",
      "name": "breaking_change",
      "type": "boolean",
      "value": "BREAKING CHANGE: ",
      "default": false
    },
    {
      "label": "Footer",
      "name": "footer",
      "description": "Optional footer",
      "type": "text",
      "multiline": true
    }
  ],
  "explorer.excludeGitIgnore": false
}